/*
 * (C) Copyright 2011- ECMWF.
 *
 * This software is licensed under the terms of the Apache Licence Version 2.0
 * which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
 * In applying this licence, ECMWF does not waive the privileges and immunities
 * granted to it by virtue of its status as an intergovernmental organisation nor
 * does it submit to any jurisdiction.
 */

#ifndef ECCODES_ecbuild_config_h
#define ECCODES_ecbuild_config_h

/* ecbuild info */

#ifndef ECBUILD_VERSION_STR
#define ECBUILD_VERSION_STR "3.7.1"
#endif
#ifndef ECBUILD_VERSION
#define ECBUILD_VERSION "3.7.1"
#endif
#ifndef ECBUILD_MACROS_DIR
#define ECBUILD_MACROS_DIR  "/workspace/srcdir/eccodes-2.28.0-Source/cmake"
#endif

/* config info */

#define ECCODES_OS_NAME          "Linux-5.15.0-58-generic"
#define ECCODES_OS_BITS          64
#define ECCODES_OS_BITS_STR      "64"
#define ECCODES_OS_STR           "linux.64"
#define ECCODES_OS_VERSION       "5.15.0-58-generic"
#define ECCODES_SYS_PROCESSOR    "aarch64"

#define ECCODES_BUILD_TIMESTAMP  "20230702195622"
#define ECCODES_BUILD_TYPE       "Release"

#define ECCODES_C_COMPILER_ID      "GNU"
#define ECCODES_C_COMPILER_VERSION "8.1.0"

#define ECCODES_CXX_COMPILER_ID      ""
#define ECCODES_CXX_COMPILER_VERSION ""

#define ECCODES_C_COMPILER       "/opt/bin/aarch64-linux-musl-libgfortran5-cxx11/aarch64-linux-musl-gcc"
#define ECCODES_C_FLAGS          "-I/workspace/destdir/include -pipe -O3 -DNDEBUG"

#define ECCODES_CXX_COMPILER     "/opt/bin/aarch64-linux-musl-libgfortran5-cxx11/aarch64-linux-musl-g++"
#define ECCODES_CXX_FLAGS        ""

/* Needed for finding per package config files */

#define ECCODES_INSTALL_DIR       "/workspace/destdir"
#define ECCODES_INSTALL_BIN_DIR   "/workspace/destdir/bin"
#define ECCODES_INSTALL_LIB_DIR   "/workspace/destdir/lib"
#define ECCODES_INSTALL_DATA_DIR  "/workspace/destdir/share/eccodes"

#define ECCODES_DEVELOPER_SRC_DIR "/workspace/srcdir/eccodes-2.28.0-Source"
#define ECCODES_DEVELOPER_BIN_DIR "/workspace/srcdir/eccodes-2.28.0-Source/build"

/* Fortran support */

#if 1

#define ECCODES_Fortran_COMPILER_ID      "GNU"
#define ECCODES_Fortran_COMPILER_VERSION "8.1.0"

#define ECCODES_Fortran_COMPILER "/opt/bin/aarch64-linux-musl-libgfortran5-cxx11/aarch64-linux-musl-gfortran"
#define ECCODES_Fortran_FLAGS    " -O3 -DNDEBUG -funroll-all-loops -finline-functions"

#endif

#endif /* ECCODES_ecbuild_config_h */
